%define	module	ExtUtils-ParseXS
%define	name	perl-%{module}
%define	version	2.16
%define	release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Converts Perl XS code into C code 
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://search.cpan.org/CPAN/authors/id/K/KW/KWILLIAMS/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}/
BuildRequires:	perl-devel
BuildRequires:	perl-ExtUtils-CBuilder
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
ExtUtils::ParseXS will compile XS code into C code by embedding the constructs
necessary to let C functions manipulate Perl values and creates the glue
necessary to let Perl access those functions.  The compiler uses typemaps to
determine how to map C function parameters and variables to Perl values.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc Changes INSTALL
%{perl_vendorlib}/ExtUtils
%{_mandir}/*/*


%changelog
* Mon Oct 23 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.16-1mdv2007.0
+ Revision: 71730
+ Status: not released
- 2.16
- Import perl-ExtUtils-ParseXS



* Mon Oct 10 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.15-1mdk
- 2.15

* Mon Oct 10 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.14-2mdk
- Fix BuildRequires

* Mon Oct 10 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.14-1mdk
- New release 2.14

* Thu Oct 06 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.13-1mdk
- New release 2.13

* Thu Sep 22 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.12-1mdk
- new version
- fix source url
- better url
- better summary
- fix directory ownership
- spec cleanup
- enable tests
- fix buildrequires
- better description

* Tue Jun 14 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.11-1mdk
- 2.11

* Mon Jun 06 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.10-1mdk
- 2.10

* Wed Mar 30 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 2.09-1mdk
- 2.09

* Wed Jun 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.08-1mdk
- 2.08

* Tue Feb 17 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.07-1mdk
- 2.07

* Wed Apr 16 2003 Peter Chen <petechen@netilla.com> 2.02-1mdk
- Initial packaging.
